<?php
class Dpsc_PayZa extends DukaPress_Gateway{
    
    var $currencies, $email, $returnURL, $cancelURL, $postURL, $currencyCode;
    
    function on_create(){
		global $dukapress;
		$this->plugin_name = __('PayZa','dp-lang');
		$this->plugin_slug = 'payza';
		$this->currencies = $dukapress->payza_supported_currency;
        
        $this->plugin_public_name = $dukapress->get_setting('gateways->payza->public');
        if(empty($this->plugin_public_name)){
            $this->plugin_public_name = $this->plugin_name;
        }
		$this->email = $dukapress->get_setting('gateways->payza->id');
		
        $this->currencyCode = $dukapress->get_setting('gateways->payza->currency');

        $this->postURL = "https://secure.payza.com/checkout";

        $this->form_submit = true;
	}
    
    function set_up_options($settings){
		?>
		<h3 class='hndle'><span><?php _e('PayZa Settings','dp-lang'); ?></span></h3>
		<table class="form-table">
            <tr>
                <th scope="row"><?php _e('Public Name','dp-lang'); ?></th>
                <td>
                    <input value="<?php echo @$settings['gateways']['payza']['public']; ?>"  name="dpsc[gateways][payza][public]" type="text" />
                </td>
            </tr>
            <tr>
                <th scope="row"><?php _e('PayZa Currency','dp-lang') ?></th>
                <td>
                    <select name="dpsc[gateways][payza][currency]">
                        <?php
                        $sel_currency = $settings['gateways']['payza']['currency'];
                        foreach ($this->currencies as $k => $v) {
                            echo '<option value="' . $k . '"' . ($k == $sel_currency ? ' selected' : '') . '>' . esc_html($v, true) . '</option>' . "\n";
                        }
                        ?>
                    </select>
                </td>
            </tr>
            <tr>
                <th scope="row"><?php _e('PayZa Merchant E-mail','dp-lang'); ?></th>
                <td>
                    <input value="<?php echo @$settings['gateways']['payza']['id']; ?>"  name="dpsc[gateways][payza][id]" type="text" />
                </td>
            </tr>
		</table>
		
		<?php
	}
    
    
    function process_payment_form($cart, $user_info, $shipping, $order_id,$total_shipping, $total_discount, $total_tax,$dpsc_total, $return_path){
        global $dukapress;
        $conversion_rate = 1;
        if ($this->currencyCode != $dukapress->get_setting('shop_currency')) {
            $conversion_rate = dukapress_shop_currency_conversion_rate($this->currencyCode);
        }
        $output = '<form name="dpsc_paypal_form" id="dpsc_payment_form" action="' . $this->postURL . '" method="post">';
        $output .= '<input type="hidden" name="ap_merchant" value="' . $this->email . '" />
                        <input type="hidden" name="ap_purchasetype" value="item-goods" />
                        <input type="hidden" name="ap_currency" value="' . $this->currencyCode . '" />
                        <input type="hidden" name="ap_itemname" value="Your Order No.: ' . $order_id . '" />
                        <input type="hidden" name="ap_amount" value="' . number_format($conversion_rate * $dpsc_total, 2, '.', '') . '" />
                        <input type="hidden" name="ap_shippingcharges" value="' . number_format($conversion_rate * $total_shipping, 2, '.', '') . '" />
                        <input type="hidden" name="ap_taxamount" value="' . number_format($conversion_rate * $total_tax, 2, '.', '') . '" />
                        <input type="hidden" name="ap_discountamount" value="' . number_format($conversion_rate * $total_discount, 2, '.', '') . '" />
                        <input type="hidden" name="ap_returnurl" value="' . $return_path . '" />
                        <input type="hidden" name="ap_cancelurl" value="' . $return_path . '&status=cancel"/>
                        <input type="hidden" name="ap_fname" value="' . dukapress_checkout_setting_value($user_info, "dpsc_firstname") . '" />
                        <input type="hidden" name="ap_lname" value="' . dukapress_checkout_setting_value($user_info, "dpsc_lastname") . '" />
                        <input type="hidden" name="ap_contactemail" value="' . dukapress_checkout_setting_value($user_info, "dpsc_email") . '" />
                        <input type="hidden" name="ap_addressline1" value="' . dukapress_checkout_setting_value($user_info, "dpsc_address") . '" />
                        <input type="hidden" name="ap_stateprovince" value="' . dukapress_checkout_setting_value($user_info, "dpsc_state") . '" />
                        <input type="hidden" name="ap_country" value="' . dukapress_checkout_setting_value($user_info, "dpsc_country") . '" />
                  </form>';
        $this->send_gateway_output($output);
        
    }
    
    
    function process_ipn_return(){
        
    }
}
?>