<?php
//Shortcodes
add_shortcode('dpsc_display_product', 'dpsc_display_product');
add_shortcode('dpsc_display_product_image_only', 'dpsc_pnj_display_product_images');
add_shortcode('dpsc_grid_display', 'dpsc_pnj_grid_display');
add_shortcode('dpsc_list_display', 'dpsc_pnj_list_display');
add_shortcode('dpsc_display_product_information_only', 'dpsc_display_product_information_only');

add_shortcode('dpsc_checkout', 'dpsc_checkout_shortcode'); //Checkout


add_shortcode('dpsc_thank_you_page', 'dpsc_thank_you_shortcode');
add_shortcode('dp_order_log', 'dp_current_user_order_log');

add_shortcode('dpsc_related_products', 'dpsc_related_products');

/**
 * Single Product
 *
 * */
function dpsc_display_product($atts, $content = null){
	extract(shortcode_atts(array(
                'buy_now' => '',
				'affiliate' => '',
				'images' => 'true'
                    ), $atts));

	$buy_now = false;
    if (!empty($buy_now)) {
        $buy_now = true;
    }
	$affiliate_checkout = false;
    if (!empty($affiliate)) {
        $affiliate_checkout = true;
    }
    $show_images = true;
    if($images == 'false'){
    	$show_images = false;
    }
    $content .= dukapress_single_product($show_images,$buy_now,$affiliate_checkout);
    return $content;
}

function dpsc_display_product_information_only($atts, $content = null){
	extract(shortcode_atts(array(
                'buy_now' => '',
				'affiliate' => ''
                    ), $atts));

	$buy_now = false;
    if (!empty($buy_now)) {
        $buy_now = true;
    }
	$affiliate_checkout = false;
    if (!empty($affiliate)) {
        $affiliate_checkout = true;
    }
    $content .= dukapress_single_product(false,$buy_now,$affiliate_checkout);
    return $content;
}


/**
 * Single Product Images
 *
 * */
function dpsc_pnj_display_product_images($atts, $content = null){
	extract(shortcode_atts(array(
                'id' => 'false' ), $atts));
	$product_id = false;
    if (!empty($id)) {
        $product_id = $id;
    }

	$content .= dukapress_product_images($product_id);
	return $content;
}


/**
 * Grid View
 *
 * */
function dpsc_pnj_grid_display($atts, $content = null){
	extract(shortcode_atts(array(
                'category' => '',
                'total' => '12',
                'column' => '3',
                'per_page' => '',
                'type' => 'duka',
                'order' => 'DESC',
				'affiliate' => '',
                'buy_now' => '',
				'exclude' => ''
                    ), $atts));

	$buy_now = false;
    if (!empty($buy_now)) {
        $buy_now = true;
    }
	$affiliate_checkout = false;
    if (!empty($affiliate)) {
        $affiliate_checkout = true;
    }
    $content .= dukapress_products_page_display($category, $total, $column, $per_page, $order, $buy_now, $affiliate_checkout, 'grid', $exclude);
    return $content;
}

/**
 * List View
 *
 * */
function dpsc_pnj_list_display($atts, $content = null){
	extract(shortcode_atts(array(
                'category' => '1',
                'total' => '12',
                'per_page' => '',
                'type' => 'duka',
                'order' => 'DESC',
				'affiliate' => '',
                'buy_now' => '',
				'exclude' => ''
                    ), $atts));

	$buy_now = false;
    if (!empty($buy_now)) {
        $buy_now = true;
    }
	$affiliate_checkout = false;
    if (!empty($affiliate)) {
        $affiliate_checkout = true;
    }
    $content .= dukapress_products_page_display($category, $total, 0, $per_page, $order, $buy_now, $affiliate_checkout, 'list', $exclude);
    return $content;
}

/**
 * Checkout shortcode
 */
function dpsc_checkout_shortcode($atts, $content=NULL){
	extract(shortcode_atts(array(
				'layout' => 'flat'), $atts));
	$content .= '<div class="dpsc-checkout">' .DukaPress_Cart::dpsc_print_checkout_html($layout). '</div>';
	return $content;
}

//Thank you page
function dpsc_thank_you_shortcode($content = NULL){
    $content .= '<div id="dpsc_thank_you_page">' . dpsc_pnj_thank_you_page() . '</div>';
    return $content;
}

function dpsc_pnj_thank_you_page(){
    $content = "";
    $invoice = $_GET['id'];
    $status = isset($_GET['status']) ? $_GET['status'] : FALSE;
    if ($_GET['action'] === 'inquiry') {
        $content = '<h3>' . __('Thank you for submitting our Inquiry form.', "dp-lang") . '</h3><p>' . __('We will contact you soon.', "dp-lang") . '</p>';
    }else{
        global $dukapress;
        $order = $dukapress->get_order($invoice);
        if($order){
            if (!$status) {
                $content = '<h2>' . __('Thank you for your order!', "dp-lang") . '</h2><br/>';
                $payment_info = get_post_meta($order->ID, 'dpsc_payment_info', true);
                if($payment_info){
                    $dpsc_gateway = $payment_info['mode'];
                    $status =  apply_filters('dpsc_payment_update_'.$dpsc_gateway,$_REQUEST);
                    $dukapress->update_order_status($invoice, $status);
                }
                DukaPress_Mail::payment_mail($invoice);
            }else{
                $dukapress->update_order_status($invoice, 'cancelled');
                $content = '<h2>' .__('Order canceled !!', "dp-lang"). '</h2><br/>';
                DukaPress_Mail::cancelled_order_notification($invoice);
            }
            $content .= $dukapress->order_info_to_string($order);
        }else{
            $content = '<h2>' . __('Order Not Found', "dp-lang") . '</h2>';
        }  
    }
    return $content;
}

//Order Log
function dp_current_user_order_log(){
    global $dukapress;
    $output = "";
    
    if (is_user_logged_in ()) {
        global $user_ID;
        if(!$user_ID){
            $user_ID = get_current_user_id();
        }
        $order_id = isset($wp_query->query_vars['orderid']) ? $wp_query->query_vars['orderid'] : (isset($_GET['orderid']) ? $_GET['orderid'] : '');
        if($order_id){
            $order = $dukapress->get_order($order_id);
            $output = $dukapress->order_info_to_string($order);
        }else{
            $orders = get_user_meta($user_ID, 'duka_order_history', TRUE);
            if (is_array($orders)) {
                krsort($orders);
                $output .= '<ul class="dpsc_order_list">';
                $resave_meta = false;
                foreach ($orders as $timestamp => $order) {
                    $order_detail = $dukapress->get_order($order['id']);
                    if($order_detail){
                        $order_url = dukapress_page_url(false, 'order');
                        $check_return_path = explode('?', $order_url);
                        if (count($check_return_path) > 1) {
                            $order_url .= '&orderid=1'.$order['id'];
                        } else {
                            $order_url .= '?orderid='.$order['id'];
                        }
                        $output .= '	 <li><strong>' . $dukapress->format_date($timestamp) . ':</strong> <a href="' . $order_url . '" title="'.$order['id'].'">'.__("View Details","dp-lang").'</a> - ' . $dukapress->format_currency('', $order['total']) . '</li>';
                    }else{
                        unset( $orders[$timestamp] );
                        $resave_meta = true;
                    }
                }
                if($resave_meta) {
                    update_user_meta($user_ID, 'duka_order_history', $orders );
                }
                $output .= '</ul>';
            }
        }
    }else{
        $output = wp_login_form(array('echo' => false));
    }
    return $output;
}

function dpsc_related_products($atts, $content = null){
    $content .= dukapress_related_products(array('echo' => false));
    return $content;
}
?>
