function dpsc_variation_price(elem, product_id, form_id) {
    'use strict';
    try {
		var initialCost = jQuery("#dpsc_actual_price_" + product_id).val(), 
            SalePriceLabel = jQuery("#dpsc_new_product_price_" + product_id),
            SalePrice = jQuery('option:selected', elem).attr('data-price'),
            dpsc_product_form = form_id,
            finalPrice = initialCost;
        
		if (parseFloat(SalePrice) > 0) {
			finalPrice = parseFloat(SalePrice) + parseFloat(finalPrice);
		}
		SalePriceLabel.val(finalPrice);

		jQuery.ajax({
			type: "POST",
			url: dpsc_js.ajaxurl,
			data: {'action' : 'dpsc_format_price', 'price' : finalPrice},
			success: function (response) {
				jQuery('.single_product' + product_id + ' p.dpsc_price').html(response);
			}
		});

    } catch (ex) {

    }
}

jQuery(document).ready(function($) {
    'use strict';
    $('.dpsc_error_msg').hide();

    //Add to cart
    function dpsc_add_to_cart() {
        $(document).on('submit', '.dcps_product_form:has(input[name="action"])', function(e) {
            e.preventDefault();
            var $formElm = $(this),
				tempHtml = $formElm.html(),
				serializedForm = $formElm.serialize();
            $formElm.html('<img src="' + dpsc_js.resourcesurl+'/img/update.gif" alt="' + dpsc_js.processing + '" />');
            $.ajax({
              method: "POST",
              url: dpsc_js.ajaxurl,
              data: serializedForm
            }).done(function( response ) {
                eval(response);
                $formElm.fadeOut(2000, function(){
                    $formElm.html(tempHtml).fadeIn('fast');
                });
              }).fail(function() {
                alert( dpsc_js.error);
              });
            
        });
    }
	
	//Empty cart
    function dpsc_empty_to_cart() {
        $(document).on('click', 'a.dpsc_empty_your_cart', function(e) {
			e.preventDefault();
			
			var answer = confirm(dpsc_js.emptycart);
			if (answer) {
				$(this).html('<img src="'+dpsc_js.resourcesurl+'/img/update.gif" />');
				$.post(dpsc_js.ajaxurl, {action: 'dpsc_update_cart', empty_cart: 1}, function(response) {
					eval(response);
				});
			}
			return false;
		});
    }
    
    function dpsc_validate_discount(){
        $(document).on('click', '.dpsc_validate_discount_code', function(e) {
            e.preventDefault();
            var $formElm = $(this),
				tempHtml = $formElm.html();
            $formElm.html('<img src="'+dpsc_js.resourcesurl+'/img/update.gif" />');
            $.post(dpsc_js.ajaxurl, {action: 'dpsc_validate_discount', dpsc_check_code: $('.dpsc_discount_code').val()}, function(response) {
                $formElm.html(tempHtml).fadeIn('fast');
                eval(response);
            });
			
			return false;
		});
    }
	
	//Update Cart
	function dpsc_update_cart(){
        $(document).on('submit', '.dcps_update_cart:has(input[name="action"])', function(e) {
            e.preventDefault();
            var $formElm = $(this),
				tempHtml = $formElm.html(),
				serializedForm = $formElm.serialize();
            $formElm.html('<img src="' + dpsc_js.resourcesurl+'/img/update.gif" alt="' + dpsc_js.processing + '" />');
            $.ajax({
              method: "POST",
              url: dpsc_js.ajaxurl,
              data: serializedForm
            }).done(function( response ) {
                eval(response);
                $formElm.fadeOut(2000, function(){
                    $formElm.html(tempHtml).fadeIn('fast');
                });
              }).fail(function() {
                alert( dpsc_js.error);
              });
            
        });
    }
    
    function dpsc_shipping_toggle(){
        $(document).on('click', 'input.dpcs_enable_shipping', function(e) {
            if ($(this).is(':checked')) {
                $('.dpsc_shipping_hidden').each(function() {
                    $(this).show();
                });
                $('.dpsc_shipping_hidden :input').each(function() {
                    $(this).attr('required', 'required');
                    $(this).addClass('required');
                });
            }else{
                $('.dpsc_shipping_hidden').each(function() {
                    $(this).hide();
                });
                $('.dpsc_shipping_hidden :input').each(function() {
                    $(this).removeAttr('required');
                    $(this).removeClass('required');
                });
            }
		});
    }
    
    
	//Checkout
    function dpsc_process_cart(){
        $(document).on('submit', '.dcps_process_cart:has(input[name="action"])', function(e) {
            e.preventDefault();
            var $formElm = $(this),
				tempHtml = $formElm.html(),
				serializedForm = $formElm.serialize();
            $formElm.html('<img src="' + dpsc_js.resourcesurl+'/img/loading.gif" alt="' + dpsc_js.processing + '" />');
            $.ajax({
              method: "POST",
              url: dpsc_js.ajaxurl,
              data: serializedForm
            }).done(function( response ) {
                eval(response);
              }).fail(function() {
                alert( dpsc_js.error);
                $formElm.fadeOut(2000, function(){
                    $formElm.html(tempHtml).fadeIn('fast');
                });
              });
            
        });
    }
    
    function dpsc_process_inquiry(){
        $(document).on('submit', '.dpsc_inquiry_form:has(input[name="action"])', function(e) {
            e.preventDefault();
            var $formElm = $(this),
				tempHtml = $formElm.html(),
				serializedForm = $formElm.serialize();
            $formElm.html('<img src="' + dpsc_js.resourcesurl+'/img/loading.gif" alt="' + dpsc_js.processing + '" />');
            $.ajax({
              method: "POST",
              url: dpsc_js.ajaxurl,
              data: serializedForm
            }).done(function( response ) {
                eval(response);
              }).fail(function() {
                alert( dpsc_js.error);
                $formElm.fadeOut(2000, function(){
                    $formElm.html(tempHtml).fadeIn('fast');
                });
              });
            
        });
    }
    
    dpsc_add_to_cart();
    dpsc_empty_to_cart();
    dpsc_update_cart();
    dpsc_shipping_toggle();
    dpsc_process_cart();
    dpsc_validate_discount();
    dpsc_process_inquiry();
	
	$(".dpsc_image_section .dpsc_image_tab .dpsc_tabs li:first-child .dpsc_thumb_tab").addClass('current');
    $(".dpsc_image_section .dpsc_image_tab .dpsc_tabs .dpsc_thumb_tab").mouseover(function() {
            $(this).addClass('current').parent().siblings().children().removeClass('current');
            var prod_id = $(this).attr('id');
            var href = $(this).attr('href');
            var new_src = href;
            var check_no_effect = $('.dpsc_main_image a').length;
            if (check_no_effect > 0) {
                $('.main_' + prod_id + ' a').attr('href', href).children().attr('src', new_src);
                $('.MagicZoomBigImageCont img').attr('src', href);
            }
            else {
                $('.main_' + prod_id + ' img').attr('src', new_src);
            }
    });

    if ($().jqzoom) {
        var jqzoom_option = {
            zoomWidth: 350,
            zoomHeight: 350,
            xOffset: 20,
            title: false,
            lens:false,
            hideEffect:'fadeout'
        }
        $('.dp_jqzoom').jqzoom(jqzoom_option);
    }

});
