<?php

add_action('admin_notices', 'dpsc_show_migration_notification');
//Handle Order Eport
function dpsc_show_migration_notification(){
    global $wpdb;
    $table_name = $wpdb->prefix . "dpsc_transactions";
    if($wpdb->get_var("show tables like '$table_name'") === $table_name) {
        $total = dpsc_count_orders_to_migrate();
        echo '<div class="error dpsc_migation"><p>' . __( 'You will need to migrate your '.$total.' orders to the new structure. <a href="'.admin_url('edit.php?post_type=duka&amp;page=dukapress&amp;tab=tools').'">Click Here &raquo;</a>', 'dp-lang' ) . '</p></div>';
        add_action('dpsc_admin_tool', 'dpsc_order_migrate_page');
    }
}


function dpsc_count_orders_to_migrate(){
    global $wpdb;
    $table_name = $wpdb->prefix . "dpsc_transactions";
    $sql = "SELECT count(`id`) as total FROM `$table_name`";
    return $wpdb->get_var($sql);
}

//Ad Action Tool
function dpsc_order_migrate_page(){
    $total = dpsc_count_orders_to_migrate();
    ?>
    <div style="background-color:#ffffff">
        <h3><?php _e("Order Migrate","dp-lang"); ?></h3>
        <h4><?php echo $total; ?><?php _e(" orders to migrate. The process might take long, so please be patient","dp-lang"); ?></h4>
        <button class='button-primary dpsc_order_export'><?php _e("Start Migration","dp-lang"); ?></button>
        <script type="text/javascript">
            jQuery(document).ready(function($) {
                function dpsc_order_export() {
                    $(document).on('click', 'button.dpsc_order_export', function(e) {
                        e.preventDefault();
                        var $formElm = $(this),
				            tempHtml = $formElm.html();
                        $formElm.html('<?php _e("Processing. Please wait","dp-lang"); ?>');
                        var jqxhr =  $.post(ajaxurl, {action: 'dpsc_migrate_orders'}, function(response) {
                            alert(response.message);
                            $('.dpsc_migation').remove();
                            $formElm.html(tempHtml);
                        });
                        jqxhr.fail(function() {
                            alert( "<?php _e("An Error Occured. Please Try again","dp-lang"); ?>" );
                        })
                        return false;
                    });
                }
                dpsc_order_export();
            });
        </script>
    </div>
    <?php
}


add_action( 'wp_ajax_dpsc_migrate_orders', 'dpsc_migrate_orders');
/**
 * Migrate Orders from the Database Method to the Posts Method
 *
 */
function dpsc_migrate_orders(){
    global $wpdb, $dukapress;
    $total_records = 0;
    $total_saved = 0;
    $message = __("No Records Found To Migrate","dp-lang");
    $table_name = $wpdb->prefix . "dpsc_transactions";
    if($wpdb->get_var("show tables like '$table_name'") === $table_name) {
        $sql = "SELECT * FROM $table_name";
        $results = $wpdb->get_results($sql);
        if (is_array($results) && count($results) > 0) {
            $total_records = count($results);
            $ids = array();
            foreach ($results as $result) {
                $post_status = '';
                switch($result->payment_status){
                    case 'Pending':
                        $post_status = 'order_received';
                        break;
                    case 'Paid':
                        $post_status = 'order_paid';
                        break;
                    case 'Canceled':
                        $post_status = 'order_cancelled';
                        break;
                }
                $items = array();
                $order = array();
                $cart = array();
                $shipping_info = array();
                $user_info = array();
                $products = $result->products;
                $products = unserialize($products);
                foreach ($products as $product) {
                    if(@$product['item_number']){
                        $items[] = $product['quantity'];
                        $dpsc_product = array('var' => $product['var'], 'quantity' => $product['quantity'], 'item_number' => $product['item_number'], 'item_weight' => $product_weight, 'price' => $product['price'], 'name' => $product['name']);
                        array_push($cart, $dpsc_product);
                    }
                }
                $item_count = array_sum($items);

                $user_info[] = array('name' => 'First Name', 'type' => 'text', 'uname' => 'dpsc_firstname', 'initial' => '', 'mandatory' => 'checked', 'visible' => 'checked', 'delete' => false, 'value' => $result->billing_first_name);
                $user_info[] = array('name' => 'Last Name', 'type' => 'text', 'uname' => 'dpsc_lastname', 'initial' => '', 'mandatory' => 'checked', 'visible' => 'checked', 'delete' => false, 'value' => $result->billing_last_name);
                $user_info[] = array('name' => 'Email', 'type' => 'text', 'uname' => 'dpsc_email', 'initial' => '', 'mandatory' => 'checked', 'visible' => 'checked', 'delete' => false, 'value' => $result->billing_email);
                $user_info[] = array('name' => 'Phone', 'type' => 'text', 'uname' => 'dpsc_phone', 'initial' => '', 'mandatory' => 'checked', 'visible' => 'checked', 'delete' => false, 'value' => $result->phone);
                $country_code = array_search($result->billing_country, $dukapress->country_code_name);
                $user_info[] = array('name' => 'Country', 'type' => 'text', 'uname' => 'dpsc_country', 'initial' => '', 'mandatory' => 'checked', 'visible' => 'checked', 'delete' => false, 'value' => $country_code);
                $user_info[] = array('name' => 'Address', 'type' => 'text', 'uname' => 'dpsc_address', 'initial' => '', 'mandatory' => 'checked', 'visible' => 'checked', 'delete' => false, 'value' => $result->billing_address);
                $user_info[] = array('name' => 'City', 'type' => 'text', 'uname' => 'dpsc_city', 'initial' => '', 'mandatory' => 'checked', 'visible' => 'checked', 'delete' => false, 'value' => $result->billing_city);
                $user_info[] = array('name' => 'State', 'type' => 'text', 'uname' => 'dpsc_state', 'initial' => '', 'mandatory' => 'checked', 'visible' => 'checked', 'delete' => false, 'value' => $result->billing_state);
                $user_info[] = array('name' => 'Zip Code', 'type' => 'text', 'uname' => 'dpsc_zip', 'initial' => '', 'mandatory' => 'checked', 'visible' => 'checked', 'delete' => false, 'value' => $result->billing_zipcode);


                $shipping_info[] = array('name' => 'Shipping First Name', 'type' => 'text', 'uname' => 'dpsc_shipping_firstname', 'initial' => '', 'mandatory' => 'checked', 'visible' => 'checked', 'delete' => false, 'value' => $result->shipping_first_name);
                $shipping_info[] = array('name' => 'Shipping Last Name', 'type' => 'text', 'uname' => 'dpsc_shipping_lastname', 'initial' => '', 'mandatory' => 'checked', 'visible' => 'checked', 'delete' => false, 'value' => $result->shipping_last_name);
                $country_code = array_search($result->shipping_country, $dukapress->country_code_name);
                $shipping_info[] = array('name' => 'Shipping Country', 'type' => 'text', 'uname' => 'dpsc_shipping_country', 'initial' => '', 'mandatory' => 'checked', 'visible' => 'checked', 'delete' => false, 'value' => $country_code);
                $shipping_info[] = array('name' => 'Shipping Address', 'type' => 'text', 'uname' => 'dpsc_shipping_address', 'initial' => '', 'mandatory' => 'checked', 'visible' => 'checked', 'delete' => false, 'value' => $result->shipping_address);
                $shipping_info[] = array('name' => 'Shipping City', 'type' => 'text', 'uname' => 'dpsc_shipping_city', 'initial' => '', 'mandatory' => 'checked', 'visible' => 'checked', 'delete' => false, 'value' => $result->shipping_city);
                $shipping_info[] = array('name' => 'Shipping State', 'type' => 'text', 'uname' => 'dpsc_shipping_state', 'initial' => '', 'mandatory' => 'checked', 'visible' => 'checked', 'delete' => false, 'value' => $result->shipping_state);
                $shipping_info[] = array('name' => 'Shipping Zip Code', 'type' => 'text', 'uname' => 'dpsc_shipping_zipcode', 'initial' => '', 'mandatory' => 'checked', 'visible' => 'checked', 'delete' => false, 'value' => $result->shipping_zipcode);

                $payment_info = array();
                $payment_info['mode'] = $result->payment_option;
                $payment_info['name'] = $result->payment_option;

                $order['post_title'] = $result->invoice;
                $order['post_name'] = $result->invoice;
                $order['post_content'] = serialize($cart) . serialize($shipping_info). serialize($user_info);
                //this is purely so you can search by cart contents
                $order['post_status'] = $post_status;
                $order['post_type'] = 'duka_order';
                $order['post_date'] = $result->date;
                $post_id = wp_insert_post($order);
                if($post_id){
                    $ids[] = $result->id;
                    //cart info
                    add_post_meta($post_id, 'dpsc_cart_info', $cart, true);

                    //user info
                    add_post_meta($post_id, 'dpsc_user_info', $user_info, true);

                    //payment info
                    add_post_meta($post_id, 'dpsc_payment_info', $payment_info, true);

                    //shipping info
                    add_post_meta($post_id, 'dpsc_shipping_info', $shipping_info, true);

                    add_post_meta($post_id, 'duka_order_total', $result->total, true);
                    add_post_meta($post_id, 'duka_shipping_total', $result->shipping, true);
                    add_post_meta($post_id, 'duka_tax_total', $result->tax, true);
                    add_post_meta($post_id, 'duka_order_items', $item_count, true);
                    add_post_meta($post_id, 'duka_order_discount', $result->discount, true);
                    add_post_meta($post_id, 'duka_order_discount_code', 'N\A', true);
                    
                    if ($dukapress->get_setting('user_registration')) {
                        $user = get_user_by( 'email', $result->billing_email);

                        if($user) {
                          $orders = get_user_meta($user->ID, 'duka_order_history', true);
                          $orders[$result->order_time] = array('id' => $post_id, 'total' => $result->total);
                          update_user_meta($user->ID, 'duka_order_history', $orders);
                        }
                    }

                    add_post_meta($post_id, 'duka_received_time', $result->order_time, true);
                    $total_saved++;
                }

            }
        }
        if($total_saved == $total_records){
            $wpdb->query("DROP TABLE IF EXISTS $table_name");
            $message = $total_saved.__(" Records Migrated","dp-lang");
        }else{
            $str = implode (",", $ids);
            $wpdb->query("DELETE FROM $table_name WHERE id IN($str)");
            $message = $total_records.__(" Records Found But Only ","dp-lang").$total_saved.__(" Records Migrated","dp-lang");
        }
    }

    //Return json
    header('Content-type: application/json; charset=utf-8');
    echo json_encode(array("message"=>$message));
    exit();

}
?>