<?php

if(!class_exists('DukaPress_Shopping_Cart_Widget')) {
	add_action('widgets_init', create_function('', 'return register_widget("DukaPress_Shopping_Cart_Widget");'));
	
	/**
	 * Widget for the cart
	 */
	class DukaPress_Shopping_Cart_Widget extends WP_Widget{
	
		function __construct() {
			$widget_ops = array('classname' => 'dukapress_shoppingcart', 'description' => __('Displays DukaPress Shopping Cart',"dp-lang"));
			parent::__construct( 'dukapress_shopping_cart_widget', __('DukaPress Shopping Cart'), $widget_ops);
		}
		
		function form($instance) {
			$instance = wp_parse_args( (array) $instance, array(  'title' => '', 'cart_type' => 'full') );
			$title = esc_attr( $instance['title'] );
			$cart_type = esc_attr( $instance['cart_type'] );
			?>
			<p>
				<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:',"dp-lang");?></label>
				<input type="text" value="<?php echo $title; ?>" name="<?php echo $this->get_field_name('title'); ?>" id="<?php echo $this->get_field_id('title'); ?>" class="widefat" />
			</p>
			<p>
				<label for="<?php echo $this->get_field_id('cart_type'); ?>"><?php _e('Cart Type:',"dp-lang");?></label>
				<select name="<?php echo $this->get_field_name('cart_type'); ?>" id="<?php echo $this->get_field_id('cart_type'); ?>">
					<option value="full" <?php selected( $cart_type, 'full'); ?>><?php _e('Full Cart',"dp-lang"); ?></option>
					<option value="mini" <?php selected( $cart_type, 'mini'); ?>><?php _e('Mini Cart',"dp-lang"); ?></option>
				</select>
			</p>
			<?php
		}
		
		function update($new_instance, $old_instance) {
			$instance = $old_instance;
			$instance['title'] = strip_tags( $new_instance['title'] );
			$instance['cart_type'] = strip_tags( $new_instance['cart_type'] );
			return $instance;
		}
		
		function widget($args, $instance) {
			extract($args);
			$title = empty( $instance['title'] ) ? __('DukaPress Shopping Cart',"dp-lang") : __($instance['title'],"dp-lang");
			$cart_type = empty( $instance['cart_type'] ) ? 'full' : $instance['cart_type'];
			$mini = ($cart_type === 'mini');
			echo $before_widget;
			echo $before_title.$title.$after_title;
			?>
			<div class="dpsc-shopping-cart" id="dpsc-shopping-cart">
				<?php echo DukaPress_Cart::dpsc_print_cart_html($mini); ?>
			</div>
			<?php
			echo $after_widget;
		}
	}
}
?>